SDL_HapticRamp Struct Reference

A structure containing a template for a Ramp effect. More...

`#include <SDL_haptic.h>`

Collaboration diagram for SDL_HapticRamp:
[legend]

## Data Fields

Uint16 | type
SDL_HapticDirection | direction
Uint32 | length
Uint16 | delay
Uint16 | button
Uint16 | interval
Sint16 | start
Sint16 | end
Uint16 | attack_length
Uint16 | attack_level
Uint16 | fade_length
Uint16 | fade_level

## Detailed Description

A structure containing a template for a Ramp effect.

This struct is exclusively for the SDL_HAPTIC_RAMP effect.

The ramp effect starts at start strength and ends at end strength. It augments in linear fashion. If you use attack and fade with a ramp the effects get added to the ramp effect making the effect become quadratic instead of linear.

See also
  SDL_HAPTIC_RAMP
  SDL_HapticEffect

Definition at line 626 of file SDL_haptic.h.

## Field Documentation

Uint16 SDL_HapticRamp::attack_length

Duration of the attack.

Definition at line 645 of file SDL_haptic.h.

Referenced by main().

Uint16 SDL_HapticRamp::attack_level

Level at the start of the attack.

Definition at line 646 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::button

Button that triggers the effect.

Definition at line 637 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::delay

Delay before starting the effect.

Definition at line 634 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticRamp::direction

Direction of the effect.

Definition at line 630 of file SDL_haptic.h.

Referenced by main().

Sint16 SDL_HapticRamp::end

Ending strength level.

Definition at line 642 of file SDL_haptic.h.

Referenced by main().

Uint16 SDL_HapticRamp::fade_length

Duration of the fade.

Definition at line 647 of file SDL_haptic.h.

Referenced by main().

Uint16 SDL_HapticRamp::fade_level

Level at the end of the fade.

Definition at line 648 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::interval

How soon it can be triggered again after button.

Definition at line 638 of file SDL_haptic.h.

Uint32 SDL_HapticRamp::length

Duration of the effect.

Definition at line 633 of file SDL_haptic.h.

Referenced by main().

Sint16 SDL_HapticRamp::start

Beginning strength level.

Definition at line 641 of file SDL_haptic.h.

Referenced by main().

Uint16 SDL_HapticRamp::type

SDL_HAPTIC_RAMP

Definition at line 629 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- include/SDL_haptic.h